#!/usr/bin/python3
# -*- coding: utf-8 -*-
##********************************************************************************************************************************************************
##
##  script for calculating Branin function
##  Copyright (C) 2011 - 2020  Thomas Moeller
##
##  I. Physikalisches Institut, University of Cologne
##
##
##
##  Versions of the program:
##
##  Who           When         What
##
##  T. Moeller    2011-01-01   initial version
##  T. Moeller    2016-05-31   improved version
##  T. Moeller    2020-01-03   porting python 3
##
##
##
##  License:
##
##    GNU GENERAL PUBLIC LICENSE
##    Version 3, 29 June 2007
##    (Copyright (C) 2007 Free Software Foundation, Inc. <http://fsf.org/>)
##
##
##    This program is free software: you can redistribute it and/or modify
##    it under the terms of the GNU General Public License as published by
##    the Free Software Foundation, either version 3 of the License, or
##    (at your option) any later version.
##
##    This program is distributed in the hope that it will be useful,
##    but WITHOUT ANY WARRANTY; without even the implied warranty of
##    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##    GNU General Public License for more details.
##
##    You should have received a copy of the GNU General Public License
##    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##
##********************************************************************************************************************************************************


##********************************************************************* load packages ********************************************************************
from __future__ import print_function                                                       ## for python 2 usage
import sys                                                                                  ## load sys package
import os                                                                                   ## load os package
import math                                                                                 ## load math package
##--------------------------------------------------------------------------------------------------------------------------------------------------------


##--------------------------------------------------------------------------------------------------------------------------------------------------------
## read input file
f = open("input.dat")                                                                       ## open input file
contens = f.readlines()                                                                     ## read contents of input file
x1 = float(contens[0])                                                                      ## read x value
y1 = float(contens[1])                                                                      ## read y value
f.close()                                                                                   ## close input file


##--------------------------------------------------------------------------------------------------------------------------------------------------------
## compute Branin function
pi = math.pi
x = x1
y = y1
result1 = "%.15e\n" % ((y - (5.1 / (4.0 * pi**2)) * x**2 + (5.0 / pi) * x - 6.0)**2 + 10.0 * (1.0 - (1.0 / (8.0 * pi))) * math.cos(x) + 10.0)
x = x1 + 1
y = y1 + 1
result2 = "%.15e\n" % ((y - (5.1 / (4.0 * pi**2)) * x**2 + (5.0 / pi) * x - 6.0)**2 + 10.0 * (1.0 - (1.0 / (8.0 * pi))) * math.cos(x) + 10.0)
x = x1 + 5
y = y1 + 5
result3 = "%.15e\n" % ((y - (5.1 / (4.0 * pi**2)) * x**2 + (5.0 / pi) * x - 6.0)**2 + 10.0 * (1.0 - (1.0 / (8.0 * pi))) * math.cos(x) + 10.0)


##--------------------------------------------------------------------------------------------------------------------------------------------------------
## write result to output file
outfile = open("output.dat", 'w')
outfile.write(result1)
outfile.write(result2)
outfile.write(result3)
outfile.close()


## we've done
##--------------------------------------------------------------------------------------------------------------------------------------------------------

